"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const fs = require("fs-extra");
const validDirectory = (directoryName) => {
    fs.ensureDirSync(directoryName);
};
async function execute(workingDirectory, command) {
    validDirectory(workingDirectory);
    const child = child_process_1.exec(command, { cwd: workingDirectory });
    return new Promise((resolve, reject) => {
        child.addListener('error', reject);
        child.addListener('exit', resolve);
    });
}
exports.execute = execute;
//# sourceMappingURL=execute.js.map